Introduction

http://www.blackbag.org

Rtool is a multi-usage tool designed for manipulation of images produced by development platforms for consoles.

Rtool is designed for a Intel based platform (preferably a Pentium Class machine) and will work on both Windows'95/NT4.0.

For some features Rtool has a minimum requirement:-

Failure to meet these minimum requirements may result in Rtool behaving erratically.

Feature Requirements

Image Backup Bios 1.60 or higher
IPS Sending to Doctor Bios 1.60 or higher
MemPak Backup/Restore Surgeon64 Hardware

Please note that SP64/Wildcard image backup is not supported – neither of the us have a SP/WC which makes development of software for it a little&ldots;difficult&ldots; it may be supported at a later date.


What's New

Version 3.0 Beta 3

  • Zip File Support

  • It can now remember your last directory instead of a default one
  • High System Priority Sending is now optional

Version 3.0 Beta 1/2

  • Splitter bar between the Directory View and the Files View

  • The Directory View and the Information View can now be toggled on/off
  • The File View's Columns are now Customisable
  • Doctor V64 Jr Support (Untested though)
  • Multi-Select
  • Auto-IPS Sending for Doc. (ie if the rom is called game.v64 it will try to send game.ips automatically)
  • APS Patching
  • Yet More Bugs sorted out. (but i've probably added a load more ;)
  • Plus any other stuff i can't remember.

Version 2.0.8

  • Menu Bitmaps (For a Laugh)

  • Improved Pro-Comm (CD64) Code
  • CD64 Parallel Support
  • New Properties Layout
  • Support for External Send Routines (for when Rtool's Internal Sending doesn't work)
  • Some More Bugs Squashed

Version 2.0.7

  • Send and Receive support Added for CD64 Unit (requires ProComm Link).

  • Properties screen redesign.

Version 2.0.6 (BB Internal Release Only)

  • Screen size re-definable.

  • Transparent Toolbars fixed.
  • Various bug fixes. (NT Drivers on hold for the time being)

Version 2.0.5

  • Bug with Backups fixed.

Version 2.0.4

  • Sync bug found/squashed.

  • EPP send mode added (as found in TPC 2).
  • Romlist function added.

Version 2.0.2

  • Bios colour tuning and screen position now changeable from within Rtool.

Important – read the notes regarding bios tuning.

  • New code for tree structure. (Now uses background thread to refresh dir.info)

  • Text files added to known file types (right click to view).
  • Reset file associations via Rtool.
  • Bughunt version 1.0 completed.
  • Added 'Refresh' to menus.

Version 2.0.0

  • SCP64/Wildcard Support.(Based on loader 1.1 protocols)

  • MemPak transfer to and from PC (requires Surgeon64 hardware)
  • Image type conversion (Doc64 <-> SP/WC/Z64).
  • Send IPS files (DV64 Bios 1.60 or above required) – IPS 1 and IPS2 supported.
  • Auto Ident for IPS/Bios/Sram/Rom file formats.
  • Associates *.v64, *.pal, *.usa, *.jap, *.z64 with Rtool. Just double click to upload.
  • Revamped user interface.
  • Various bugs removed


Still to Do

  • Zip file support is only my first attempt at it, so expect it to get better


Disclaimer

Disclaimer

The authors of this program make no warranty, express or implied about its usefulness for any purpose. The end user, YOU, take full responsibility for any legal actions against the use of this program. The authors do not endorse or condone the copying of any software titles that you do not own, except in the interest of protecting your investment in titles which you have purchased. The authors will not be responsible for the use or misuse of this program, or any illegal or 'grey-area' activities which are facilitated by the use or misuse of this program. This program is meant to be an educational and experimental tool only, for personal, non-corporate uses. Any other use constitutes copyright infringement.

Important Notice(s) and Prohibitions.

You must not, in any manner and through any medium whatsoever commercially exploit this software or use this software for any commercial purposes.

This program and the associated files (or any other BlackBag) program must not be stored on any media whatsoever of any commercial company or subsidiary thereof without the prior permission of the author(s). If you wish to contact the authors for this purpose, Email addresses will be made available in the accompanying documentation.

By using and/or storing this program, you are agreeing to the above terms.


Overview

Once Rtool is run you will be presented with a window which has a tree or 'explorer' style display of the directories to the left of the screen and a list of files to the right.

The selection box above the directories selects which drive is currently being used.

To change directories, simply double click on the directory name – the tree will expand to display any sub directories held beneath.

Highlighting files in the right-hand window and right clicking the mouse button will present you with a menu giving applicable options for that particular file type.

One of the first things you will need to do after installing Rtool is to configure it for your needs. To do this, click on view then properties.

This configuration screen allows you to select which unit you are using and which port the unit is connected to.


Toolbar


Screen Layout


ROM Menu


Send

Highlight the required file and click the icon. This will upload the image to the specified unit.

Please note that the easier way to send to the CD64 unit is to send the image as above but make sure the unit is off. Once the requester appears switch on the unit and sending will commence. The alternative way is to choose CD64 Tools/Pro Comms Link from the menu and then send from Rtool.


Receive

Receiving Images (Doc64 only).

  1. Press 'Menu' then 'Next' on the Doctor64 to bring up the backup menu.

  2. There are 2 choices – Backup Card to Dram or Backup Card to PC – Choose 'Backup Card to PC' with the applicable size for the image.
  3. Click on the Receive Icon and enter a filename.

Receiving Images (CD64 only).

From DRAM.

  1. Check that Rtool is set to download from CD64 DRAM (Rtool/CD64 menu).

  2. From CD64 choose download card. (CD64 main menu).
  3. Click on the receive icon in Rtool.
  4. Enter a filename and choose a file size.
  5. Choose Pro Comms Link from CD64. (CD64/CD64 Tools).

Directly from Cartridge.

  1. Check that Rtool is set to download from CD64 Cartridge (Rtool/CD64 Menu)

  2. Click on the receive icon in Rtool.
  3. Enter a filename and size for the image.
  4. Choose Pro Comms Link from CD64. (CD64/CD64 Tools).


Re-Size

Highlight the required file and click on the resize icon.

This will ask for the new image size and a choice of 4 presets.

Note: If you have backup's enabled you will require free space equal or greater than that of the file being modified.


Change Image Format

Images are usually stored as either a 'standard' byte format or a 'byte flipped' format. The Doctor64 and CD64 use the 'Byte Flipped' format whereas the SP64, Wildcard and Z64 use the standard byte format.

To convert between image formats, simply highlight the file and choose the 'Change image format' icon. This will convert a doc64/cd64 format to SP/Wc/Z64 and vice versa.

The file format of the image will be reported in the status panel at the bottom of the info screen.


IPS Patch

To apply an IPS patch to a file, highlight the file to receive the patch and click the IPS icon. A requester will appear asking for the ips file. Choose the IPS file and click 'ok' – the ips file will then be permanently patched into the file.

The doctor64 is also capable of directly receiving IPS files (see bios requisite) - to directly send an ips file to the doctor64, simply double click the ips file after the image has been loaded Once 'ok' has appeared the image will have been patched.


Calculate CRC

Occasionally (i.e. after modification) the image checksum will become invalid – this will stop the unit from loading and executing the image. To check and/or repair a checksum highlight the image and click on the CRC icon. A valid checksum will be reported if found, otherwise a requester offering you the choice of recalculating the checksum will appear.


Edit Image Title

This option allows you the change the internal rom name, up to a maximum size of 20 characters.


Compress

Rtool supports compression and decompression of images to reduce the overhead on required disk space. Rtool will also directly send compressed images to a unit without the need to decompress it first.

To compress an image, highlight the image and click the compression icon and the image will be imploded


De-Compress

This is the opposite of the compress option and allows an imploded image to be exploded and restored to its original state.


View File

Views either an ASCII or BINARY file with the viewer of you choice. (Set up in Properties)


Rename File

Hmm.. Renames a file maybe ??


Delete File

Hmm.. I wonder what this option does.


Exit

Well here we have it. The last option in the ROM Menu. Now if i could only remember what it does...


Doctor V64 Menu


Tune Bios

This allows you to mess around with various bits of the BIOS for the Doctor64 only.


Manage DX256 File

Not Yet Implemented.


CD 64 Menu


Sending Executes


Sending Does Nothing


Receive from Cart


Receive from DRAM


Misc Menu


Produce a ROM List

This little feature produces a list of Cart details showing such data as Cart title, format, file size and other such details that you probably wont find useful ;P

Please note that the file produced is affected by the currently active filter.

I.e - the file list produced will only reflect which files where displayed in the main file window. This allows you to create separate files for images from different territories


View Menu


Statusbar


Refresh


Properties


Help Menu


Help


About


Filter